Home of the Squeezebox™ & Transporter® network music players.
Page 4 of 4 FirstFirst ... 234
Results 31 to 35 of 35
  1. #31
    Senior Member
    Join Date
    Jan 2011
    Location
    Staffordshire. UK
    Posts
    4,648
    Ich sehe da zwar keinen direkten Bezug zu Audio::Scan. Aber "illegal
    instruction" würde sehr wohl auf eine Binärdatei hinweisen, die nicht
    mit der CPU Architektur de Pi0 kompatibel ist. Und da Audio::Scan die
    einzige Bibliothek ist, die wir kürzlich aktualisiert haben, ist das die
    offensichtlichste Antwort.

    Nun bleibt die Frage, ob LMS mit Raspberry Pi OS auf einem Pi0 populär
    genug ist, um das Update rückgängig zu machen. Mit pCP scheint es das
    Problem nicht zu geben.


    Ich verwende pCP auf der Zero, ich versuche nur, dem OP zu helfen (und vielleicht ein wenig zu lernen)

    pCP-Berichte

    Logitech Media Server Status
    Logitech Media Server Version: 8.3.0 - 1632226822 @ Tue Sep 21 15:15:24 CEST 2021
    Hostname: pCPZero
    Server IP Address: 192.168.1.114
    Server HTTP Port Number: 9000
    Operating system: piCore - EN - utf8
    Platform Architecture: armv7l-linux
    Perl Version: 5.32.1 - arm-linux-gnueabihf-thread-multi-64int
    Audio::Scan: 1.02
    IO::Socket::SSL: 2.071
    Database Version: DBD::SQLite 1.58 (sqlite 3.22.0)
    Total Players Recognized: 1
    Raspbian Stretch Desktop funktioniert mit der neuesten LMS 8.3-Version

    Logitech Media Server Status
    Logitech Media Server Version: 8.3.0 - 1632226822 @ Tue Sep 21 15:10:46 CEST 2021
    Hostname: raspberrypi
    Server IP Address: 192.168.1.106
    Server HTTP Port Number: 9000
    Operating system: Debian - EN - utf8
    Platform Architecture: armv7l-linux
    Perl Version: 5.24.1 - arm-linux-gnueabihf-thread-multi-64int
    Audio::Scan: 1.02
    IO::Socket::SSL: 2.044
    Database Version: DBD::SQLite 1.58 (sqlite 3.22.0)
    Total Players Recognized: 0
    Ich habe ein paar Buster Desktop-Images ausprobiert, einschließlich des allerersten.

    LMS 8.2.1 wird auf allen installiert

    Es scheint, dass LMS 8.3.0 auf keinem Buster installiert werden kann.

    Ist ein LMS 8.3.0-Image verfügbar, das vor dem letzten Pull-Request ist, von dem vermutet wird, dass er das Problem verursacht?

    Wenn ja, mache ich gerne einen Test

    ronnie

  2. #32
    Member
    Join Date
    Aug 2018
    Location
    Germany
    Posts
    33
    Hallo nochmal,

    ich habe das Thema ein wenig aus den Augen verloren, sorry.
    Ralphy hatte hier die entsprechende Scan.so zur Verfügung gestellt. Damit funktionieren die 8.3 nightlies wieder.

    Der aktuelle fix für RPIOS wäre wie folgt:

    Code:
    wget https://github.com/Logitech/slimserver/files/7217600/raspos10.tar.gz
    tar -xzvf raspos10.tar.gz
    sudo mv Scan.so /usr/share/squeezeboxserver/CPAN/arch/5.28/arm-linux-gnueabihf-thread-multi-64int/auto/Audio/Scan
    Last edited by Rasputin_GY; 2021-10-07 at 06:14.

  3. #33
    Senior Member
    Join Date
    Jan 2011
    Location
    Staffordshire. UK
    Posts
    4,648
    Quote Originally Posted by Rasputin_GY View Post
    Hallo nochmal,

    ich habe das Thema ein wenig aus den Augen verloren, sorry.
    Ralphy hatte hier die entsprechende Scan.so zur Verfügung gestellt. Damit funktionieren die 8.3 nightlies wieder.

    Der aktuelle fix für RPIOS wäre wie folgt:

    Code:
    wget https://github.com/Logitech/slimserver/files/7217600/raspos10.tar.gz
    tar -xzvf raspos10.tar.gz
    sudo mv Scan.so /usr/share/squeezeboxserver/CPAN/arch/5.28/arm-linux-gnueabihf-thread-multi-64int/auto/Audio/Scan
    Thanks for that, worked like a charm (a slow charm, naturally

    ronnie

  4. #34
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,605

    LMS service failed direkt nach dem Start mitneuester 8.3 auf dem raspberry pi zero

    > @Michael Wäre es möglich die Bin in 8.3 zu integrieren ?

    Nein. Ralphy schreibt da ja ganz klar, dass die Datei nur für Pi0 und
    ähnlich auf Raspberry Pi OS funktioniert, nicht aber etwa auf Debian. Es
    ist ein klassischer Workaround für ein spezifisches Problem, nicht eine
    wirkliche Lösung.

  5. #35
    Member
    Join Date
    Aug 2018
    Location
    Germany
    Posts
    33
    Quote Originally Posted by mherger View Post
    >
    Nein. Ralphy schreibt da ja ganz klar, dass die Datei nur für Pi0 und
    ähnlich auf Raspberry Pi OS funktioniert, nicht aber etwa auf Debian. Es
    ist ein klassischer Workaround für ein spezifisches Problem, nicht eine
    wirkliche Lösung.
    Sorry, da war ich etwas zu vorschnell. Ich dachte ich hätte den Beitrag editiert und die Frage gelöscht. Mein Fehler

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •